/api/v1/on-boarding/user
Requires authentication
Rate limited by the `api-global` limiter
v1
Send a bearer token in the Authorization header.
Krijoni nje perdorues te ri per kompanine me kodin e operatorit dhe pajisjen fiskale. Kthen token API per kete perdorues.
Full URL: https://fature.al/api/v1/on-boarding/user
Responses
200 Kur email-i eshte ne perdorim, kur njesia nuk gjendet, ose kur ruajtja deshton, pergjigja kthehet me HTTP 200 dhe `status: false`.
201 Created
| Field | Type | Description |
|---|---|---|
| status | boolean | |
| data | object | |
| data.user | object | |
| data.user.id | integer | |
| data.user.name | string | |
| data.user.operatorCode | string | |
| data.user.token | string |
Example request
curl -X POST 'https://fature.al/api/v1/on-boarding/user' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'X-Client-Id: YOUR_CLIENT_ID' \
-H 'X-Client-Secret: YOUR_CLIENT_SECRET' \
-H 'Accept: application/json'
use Illuminate\Support\Facades\Http;
$response = Http::withHeaders([
'Authorization' => 'Bearer YOUR_TOKEN',
'X-Client-Id' => 'YOUR_CLIENT_ID',
'X-Client-Secret' => 'YOUR_CLIENT_SECRET',
'Accept' => 'application/json',
])->post('https://fature.al/api/v1/on-boarding/user');
$data = $response->json();
use GuzzleHttp\Client;
$client = new Client();
$response = $client->request('POST', 'https://fature.al/api/v1/on-boarding/user', [
'headers' => [
'Authorization' => 'Bearer YOUR_TOKEN',
'X-Client-Id' => 'YOUR_CLIENT_ID',
'X-Client-Secret' => 'YOUR_CLIENT_SECRET',
'Accept' => 'application/json',
],
]);
$data = json_decode((string) $response->getBody(), true);
const response = await fetch('https://fature.al/api/v1/on-boarding/user', {
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_TOKEN',
'X-Client-Id': 'YOUR_CLIENT_ID',
'X-Client-Secret': 'YOUR_CLIENT_SECRET',
'Accept': 'application/json'
}
});
const data = await response.json();
Example response
{
"status": true,
"data": {
"user": {
"id": 1,
"name": "Jane Doe",
"operatorCode": "operatorCode",
"token": "a1b2c3d4e5f6"
}
}
}